using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace WindowsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        DataTable myDataTable;
        
        private void Form1_Load(object sender, EventArgs e)
        {

           
            myDataTable = new DataTable("MyDataTable");
            DataColumn myDataColumn;
            DataRow myDataRow;
            myDataColumn = new DataColumn();
            myDataColumn.DataType = System.Type.GetType("System.String");
            myDataColumn.ColumnName = "Id";
            myDataTable.Columns.Add(myDataColumn);
            myDataColumn = new DataColumn();
            myDataColumn.DataType = Type.GetType("System.String");
            myDataColumn.ColumnName = "Item";
            myDataTable.Columns.Add(myDataColumn);
            myDataColumn = new DataColumn();
            myDataColumn.DataType = Type.GetType("System.String");
            myDataColumn.ColumnName = "Values";
            myDataTable.Columns.Add(myDataColumn);
            for (int i = 0; i <= 10; i++)
            {
                myDataRow = myDataTable.NewRow();
                myDataRow["Id"] = i;
                myDataRow["Item"] = "item " + i.ToString();
                myDataRow["Values"] = i + "000";
                myDataTable.Rows.Add(myDataRow);
            }
            this.gridDataBoundGrid1.DataSource = myDataTable;
            this.gridDataBoundGrid1.Model.HideCols[1] = true;
            this.gridDataBoundGrid1.CurrentCellMoved += new Syncfusion.Windows.Forms.Grid.GridCurrentCellMovedEventHandler(gridDataBoundGrid1_CurrentCellMoved);
        }

        void gridDataBoundGrid1_CurrentCellMoved(object sender, Syncfusion.Windows.Forms.Grid.GridCurrentCellMovedEventArgs e)
        {
            GridCurrentCell cc = this.gridDataBoundGrid1.CurrentCell;

            if (cc.RowIndex == this.gridDataBoundGrid1.Model.RowCount)
            {

                this.gridDataBoundGrid1.Binder.BeginEdit();

                this.gridDataBoundGrid1[cc.RowIndex, 1].Text = "defaultcol1";

                this.gridDataBoundGrid1[cc.RowIndex, 2].Text = "defaultcol2";
                this.gridDataBoundGrid1[cc.RowIndex, 3].Text = "defaultcol3";

               


            }

        }

        
       

        private void button1_Click(object sender, EventArgs e)
        {
            foreach (DataRow dr in myDataTable.Rows)
            {
                Console.WriteLine(dr["Id"].ToString());
            }
        }
    }
}